# Reference

## boost::redis::basic_connection::basic_connection

Constructor from an `io_context` and a logger.

### Synopsis

Declared in `<boost/redis/connection.hpp>`

    basic_connection(
        asio::io_context& ioc,
        logger lgr);

### Parameters

Name | Description
ioc | I/O context used to create all internal I/O objects.
lgr | Logger configuration. It can be used to filter messages by level and customize logging. By default, `logger::level::info` messages and higher are logged to `stderr`.

Created with MrDocs